function BCTplus_OnLoad()
	DEFAULT_CHAT_FRAME:AddMessage("BCT+ Loaded");
	this:RegisterEvent("CHAT_MSG_SPELL_SELF_BUFF");
	this:RegisterEvent("CHAT_MSG_COMBAT_HOSTILE_DEATH");
	this:RegisterEvent("CHAT_MSG_SPELL_CREATURE_VS_SELF_DAMAGE")
	this:RegisterEvent("CHAT_MSG_SPELL_SELF_DAMAGE")
	this:RegisterEvent("CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS")
end

function BCTplus_OnEvent()
	if (event == "CHAT_MSG_COMBAT_HOSTILE_DEATH") then
		if strfind(arg1,"You have slain") then
			text = strsub(arg1, 16 , strlen(arg1)-1);
			CombatText_AddMessage( text, COMBAT_TEXT_SCROLL_FUNCTION, 1,.5,.5,"sticky",nil);
		end
	elseif (event == "CHAT_MSG_SPELL_SELF_DAMAGE") then
		if strfind(arg1, "You interrupt") then
			text = strsub(arg1, strfind(arg1,"'s ") + 2, strlen(arg1)-1);
			CombatText_AddMessage( text, COMBAT_TEXT_SCROLL_FUNCTION, 1,.5,.5,"sticky",nil);
		end
	elseif (event == "CHAT_MSG_SPELL_SELF_BUFF")	then
		if strfind(arg1,"You gain") then
			if strfind(arg1, "extra attack through") then
				text = strsub(arg1, 33, strlen(arg1)-1);
				count = strsub(arg1,10,10);
				if(count>"1") then
					text = text .."(" ..count ..")"
				end
				CombatText_AddMessage( text, COMBAT_TEXT_SCROLL_FUNCTION, .5,.5,1,"sticky",nil);
			end
		end
	elseif (event == "CHAT_MSG_SPELL_PERIODIC_SELF_BUFFS") then
		if(strfind(arg1, "Shadow Trance")) then
			text = "Nightfall";
			CombatText_AddMessage( text, COMBAT_TEXT_SCROLL_FUNCTION, .79,.6,.85,"sticky",nil);
		elseif(strfind(arg1, "Backlash")) then
			text = "Backlash";
			CombatText_AddMessage( text, COMBAT_TEXT_SCROLL_FUNCTION, .79,.6,.85,"sticky",nil);
		end
	elseif (event == "CHAT_MSG_SPELL_CREATURE_VS_SELF_DAMAGE") then
		if (strfind(arg1, "was dodged")) then
			CombatText_AddMessage( "Dodge", COMBAT_TEXT_SCROLL_FUNCTION, .79,.3,.85,nil,nil);
		elseif(strfind(arg1, "was parried")) then
			CombatText_AddMessage( "Parry", COMBAT_TEXT_SCROLL_FUNCTION, .79,.3,.85,nil,nil);
		elseif(strfind(arg1, "misses you")) then
			CombatText_AddMessage( "Miss", COMBAT_TEXT_SCROLL_FUNCTION, .79,.3,.85,nil,nil);
		end
	end
end